import Foundation
import NotificationCenter


class NotificationHelper: NSObject,  UNUserNotificationCenterDelegate{
    
    let notifCenter = UNUserNotificationCenter.current()

    override init() {
        super.init()
        self.requestAuthForLocalNotifications()
    }
    
    func requestAuthForLocalNotifications() {
          notifCenter.delegate = self
          notifCenter.requestAuthorization(options: [.alert, .sound]) { (granted, error) in
              if error != nil {
                  // Something went wrong
              }
          }
      }
    
    func showNotification(message: String) {
        let content = UNMutableNotificationContent()
        content.title = "TimeTick Alert"
        content.body = message
        content.sound = UNNotificationSound.default


        let trigger = UNTimeIntervalNotificationTrigger.init(timeInterval: 1, repeats: false)

        let request = UNNotificationRequest.init(identifier: "timetick", content: content, trigger: trigger)

        let center = UNUserNotificationCenter.current()
        center.add(request)
    }
}
